from backend.models import ObservationImage
from django.core.mail import send_mail

host = 'https://www.elasmobranch.id'
email_host = 'elasmobranch.pi@gmail.com'


def rejected_report_template(user, observation):
    subject = message = 'Report Rejected'

    reject_reason_en = {
        'SU': 'Species on photo could not be identified',
        'DD': 'The same data has recorded on our database',
        'OOD': 'The reported data is out of date. Currently, EPI accepts sighting and landing data since 2019',
    }

    reject_reason_id = {
        'SU': 'Foto spesies tidak dapat diidentifikasi',
        'DD': 'Data pertemuan yang sama sudah ada di database',
        'OOD': 'Data pertemuan melewati batas waktu. Saat ini EPI hanya menerima data pertemuan sejak tahun 2019',
    }

    full_name = user.full_name().title()
    date = observation.created_at.date()
    time = observation.created_at.time()
    location = observation.location
    province = observation.province

    reason = observation.rejected_reason
    reason = reject_reason_en[reason] if user.language == 'en' else reject_reason_id[reason]

    observation_images = ObservationImage.objects.filter(observation=observation)
    img_url = ''
    if observation_images.exists():
        observation_image = observation_images.first()
        img_url = f'{host}{observation_image.image.url}'

    template_id = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><h3 style="text-align:center;color:#036"><strong>Laporanmu belum dapat diterima</strong></h3><p><span style="font-weight:400">Mohon maaf saat ini data pertemuan yang kamu laporkan belum dapat diterima karena:&nbsp</span><strong>{reason}</strong></p><p><span style="text-decoration:underline"><span style="font-weight:400">Data Pertemuan:</span></span></p><table style="width:100%;border-collapse:collapse;height:90px" border="0"><tbody><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Tanggal</span></td><td style="width:50%;height:18px">{date}</td></tr><tr style="height:18px"><td style="width:50%;height:18px">Waktu</td><td style="width:50%;height:18px">{time}</td></tr><tr style="height:18px"><td style="width:50%;height:18px">Lokasi</td><td style="width:50%;height:18px">{location}</td></tr><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Provinsi</span></td><td style="width:50%;height:18px">{province}</td></tr><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Foto</span><span style="font-weight:400"><br></span></td><td style="width:50%;height:18px"><a href="{img_url}" target="_blank">Link</a></td></tr></tbody></table><p><span style="font-weight:400">Kunjungi halaman ElasmoID untuk membaca panduan foto dan pelaporan data yang sesuai.</span></p><a href="https://www.elasmobranch.id/elasmoid" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Kunjungi Laman ElasmoID</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Butuh bantuan? Kontak&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'
    template_en = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><h3 style="text-align:center;color:#036"><strong>Your report could not be accepted</strong></h3><p><span style="font-weight:400">We apologize currently your report data could not be accepted because:&nbsp;</span><span style="font-weight:400"><strong>{reason}</strong></span></p><p><span style="text-decoration:underline"><span style="font-weight:400">Report Data:</span></span></p><table style="width:100%;border-collapse:collapse;height:90px" border="0"><tbody><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Date</span></td><td style="width:50%;height:18px">{date}</td></tr><tr style="height:18px"><td style="width:50%;height:18px">Time</td><td style="width:50%;height:18px">{time}</td></tr><tr style="height:18px"><td style="width:50%;height:18px">Location</td><td style="width:50%;height:18px">{location}</td></tr><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Province</span></td><td style="width:50%;height:18px">{province}</td></tr><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Photo</span><span style="font-weight:400"><br></span></td><td style="width:50%;height:18px"><a href="{img_url}" target="_blank">Link</a></td></tr></tbody></table><p><span style="font-weight:400">Visit our ElasmoID page to read more about the photography and reporting guideline.</span></p><a href="https://www.elasmobranch.id/elasmoid" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Visit ElasmoID Page</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Need Help? Contact&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'

    content = {
        'subject': subject,
        'message': message,
        'from_email': email_host,
        'html_message': clean_ascii(template_en) if user.language == 'en' else clean_ascii(template_id),
        'recipient_list': [user.email],
        'fail_silently': False
    }

    send_mail(**content)


def accepted_report_template(user, observation):
    subject = message = 'Report Accepted'

    full_name = user.full_name().title()
    date = observation.created_at.date()
    time = observation.created_at.time()
    location = observation.location
    province = observation.province

    observation_images = ObservationImage.objects.filter(observation=observation)
    img_url = ''
    if observation_images.exists():
        observation_image = observation_images.first()
        img_url = f'{host}{observation_image.image.url}'

    template_id = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><h3 style="text-align:center;color:#036"><strong>Laporanmu sudah diterima!</strong></h3><p><span style="font-weight:400">Dengan bangga kami menyampaikan bahwa datamu sudah diterima dan dipublikasikan. Kamu dapat melihat datamu pada laman&nbsp;</span><span style="color:#36f"><a style="color:#36f" href="https://www.elasmobranch.id/maps" target="_blank"><span style="font-weight:400">Peta</span></a></span></p><p><span style="text-decoration:underline"><span style="font-weight:400">Data Pertemuan:</span></span></p><table style="width:100%;border-collapse:collapse;height:90px" border="0"><tbody><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Tanggal</span></td><td style="width:50%;height:18px">{date}</td></tr><tr style="height:18px"><td style="width:50%;height:18px">Waktu</td><td style="width:50%;height:18px">{time}</td></tr><tr style="height:18px"><td style="width:50%;height:18px">Lokasi</td><td style="width:50%;height:18px">{location}</td></tr><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Provinsi</span></td><td style="width:50%;height:18px">{province}</td></tr><tr style="height:18px"><td style="width:50%;height:18px"><span style="font-weight:400">Foto</span><span style="font-weight:400"><br></span></td><td style="width:50%;height:18px"><a href="{img_url}" target="_blank">Link</a></td></tr></tbody></table><p><span style="font-weight:400">Pastikan foto dan data yang telah dilaporkan tidak melanggar hak cipta individu lain atau afiliasi/tempat kerjamu. Terima kasih atas kontribusi dan dukunganmu terhadap konservasi Elasmobranchii di Indonesia, melalui EPI.</span></p><p><span style="font-weight:400">Bagikan pengalamanmu menjadi kontributor EPI dengan mem-posting template kontributor di media sosial. Jangan lupa untuk men-tag EPI pada @elasmobranchid!</span></p><a href="https://www.elasmobranch.id/guidelines" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Dapatkan Template Kontributor</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Butuh bantuan? Kontak&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'
    template_en = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><h3 style="text-align:center;color:#036"><strong>Your report has been accepted!</strong></h3><p><span style="font-weight:400">We are happy to tell you that your report data has been accepted and published. You can check your data on our&nbsp;</span><span style="color:#36f"><a style="color:#36f" href="https://www.elasmobranch.id/maps" target="_blank"><span style="font-weight:400">Map Page</span></a></span></p><p><span style="font-weight:400">Report Data:</span></p><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%"><span style="font-weight:400">Date</span></td><td style="width:50%">{date}</td></tr><tr><td style="width:50%">Time</td><td style="width:50%">{time}</td></tr><tr><td style="width:50%">Location</td><td style="width:50%">{location}</td></tr><tr><td style="width:50%"><span style="font-weight:400">Province</span></td><td style="width:50%">{province}</td></tr><tr><td style="width:50%"><span style="font-weight:400">Photo</span><span style="font-weight:400"><br></span></td><td style="width:50%"><a href="{img_url}" target="_blank">Link</a></td></tr></tbody></table><p><span style="font-weight:400">Please make sure the photograph and data you submit does not violate or infringe the copyright of other individual or your affiliation/workplace. Thank you for your contribution and support for the conservation of Elasmobranchs in Indonesia, through EPI.</span></p><p><span style="font-weight:400">Share your experience as an official contributor to EPI by posting the contributor template on social media. Don&rsquo;t forget to tag us at @elasmobranchid!</span></p><a href="https://www.elasmobranch.id/guidelines" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Get The Contributor Template</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Need Help? Contact&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'

    content = {
        'subject': subject,
        'message': message,
        'from_email': email_host,
        'html_message': clean_ascii(template_en) if user.language == 'en' else clean_ascii(template_id),
        'recipient_list': [user.email],
        'fail_silently': False
    }

    send_mail(**content)


def verify_user_template(user):
    subject = message = 'User Verification'

    full_name = user.full_name().title()
    link = f'{host}/api/accounts/verify/?token={user.token}'

    template_id = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><p><span style="font-weight:400">Terima kasih sudah mendaftar sebagai Member pada website&nbsp;</span><span style="color:#36f"><a style="color:#36f" href="https://www.elasmobranch.id/" target="_blank"><span style="font-weight:400">Elasmobranch Project Indonesia</span></a></span><span style="font-weight:400">! Mohon konfirmasi alamat emailmu untuk mem-verifikasi akun Member.&nbsp;</span></p><p><span style="font-weight:400">Dengan menjadi Member, kamu secara langsung menjadi bagian dari&nbsp;</span><span style="color:#36f"><a style="color:#36f" href="https://www.elasmobranch.id/iecsn" target="_blank"><span style="font-weight:400">Indonesian Elasmobranch Citizen Science Network (IECSN)</span></a></span><span style="font-weight:400">. Cukup tekan tombol di bawah ini atau kunjungi tautan berikut:</span></p><div style="margin-bottom:10px"><a href="{link}" target="_blank"><span style="color:#036">{link}</span></a></div><a href="{link}" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Konfirmasi Sekarang</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Butuh bantuan? Kontak&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'
    template_en = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><p><span style="font-weight:400">Thank you for registering as a Member on&nbsp;</span><span style="color:#36f"><a style="color:#36f" href="https://www.elasmobranch.id/" target="_blank"><span style="font-weight:400">Elasmobranch Project Indonesia website</span></a></span><span style="font-weight:400">! Please confirm your email address to verify your Elasmobranch Project Indonesia Member account.</span></p><p>By registering as a Member, you are directly a part of the&nbsp;<a style="color:#36f" href="https://www.elasmobranch.id/iecsn" target="_blank"><span style="font-weight:400">Indonesian Elasmobranch Citizen Science Network (IECSN)</span></a><span style="font-weight:400">. Press the button below or visit the following link:</span></p><div style="margin-bottom:10px"><a href="{link}" target="_blank"><span style="color:#036">{link}</span></a></div><a href="{link}" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Confirm Now</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Need Help? Contact&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'

    content = {
        'subject': subject,
        'message': message,
        'from_email': email_host,
        'html_message': clean_ascii(template_en) if user.language == 'en' else clean_ascii(template_id),
        'recipient_list': [user.email],
        'fail_silently': False
    }

    send_mail(**content)


def forgot_password_template(user):
    subject = message = 'Forgot Password'

    full_name = user.full_name().title()
    link = f'{host}/recovery?token={user.token}'

    template_id = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><p><span style="font-weight:400">Lupa Kata Sandi akun Member? tidak usah khawatir. Tekan tombol di bawah untuk mengatur ulang Kata Sandimu atau kunjungi tautan berikut:</span></p><div style="margin-bottom:10px"><a href="{link}" target="_blank"><span style="color:#036">{link}</span></a></div><a href="{link}" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Atur Ulang Kata Sandi</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Butuh bantuan? Kontak&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'
    template_en = f'<html><body><div style="background-color:#f0f0f0;padding:30px"><div style="background-color:#fff;border-radius:24px;padding:24px;max-width:500px;margin:0 auto"><table style="width:100%;border-collapse:collapse" border="0"><tbody><tr><td style="width:50%;text-align:center"><img src="https://i.ibb.co/q1rQp2t/epi.png" alt="epi" width="75" height="75"></td><td style="width:50%"><img style="display:block;margin-left:auto;margin-right:auto" src="https://i.ibb.co/dDwCSx0/iescn.png" alt="iescn" width="150" height="82"></td></tr></tbody></table><p>Hi, {full_name}</p><p><span style="font-weight:400">Forgot your Member Account Password? No worries. Just click the button below to reset it, or visit the following link:</span></p><div style="margin-bottom:10px"><a href="{link}" target="_blank"><span style="color:#036">{link}</span></a></div><a href="{link}" target="_blank"><button style="width:100%;height:30px;background-color:#036;color:#fff">Reset Password</button></a></div><br><table style="width:100%;border-collapse:collapse;height:18px;max-width:500px;margin:0 auto" border="0"><tbody><tr style="height:18px"><td style="width:10%;text-align:center"><a href="https://www.instagram.com/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/26BV0GB/icons8-instagram-old-50.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://twitter.com/elasmobranchid" target="_blank"><img src="https://i.ibb.co/ZfwDG5t/icons8-twitter-60.png" alt="" width="32"></a></td><td style="width:10%;text-align:center;height:18px"><a href="https://www.linkedin.com/company/elasmobranchid/" target="_blank"><img src="https://i.ibb.co/FXyGJQR/icons8-linkedin-circled-50.png" alt="" width="32"></a></td><td style="width:12.5%;text-align:center;height:18px">&nbsp;</td><td style="width:36%;height:18px"><p style="text-align:right"><span style="font-size:12px">Need Help? Contact&nbsp;</span></p></td><td style="width:26%;height:18px"><span style="font-size:12px;color:#36f">epi@elasmobranch.id</span></td></tr></tbody></table></div></body></html>'

    content = {
        'subject': subject,
        'message': message,
        'from_email': email_host,
        'html_message': clean_ascii(template_en) if user.language == 'en' else clean_ascii(template_id),
        'recipient_list': [user.email],
        'fail_silently': False
    }

    send_mail(**content)


def clean_ascii(template):
    return template